<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [gatsby-plugin-next-seo](./gatsby-plugin-next-seo.md) &gt; [ProductJsonLdProps](./gatsby-plugin-next-seo.productjsonldprops.md)

## ProductJsonLdProps interface

Component props for the Product JSON LD.

<b>Signature:</b>

```typescript
export interface ProductJsonLdProps extends DeferSeoProps, Overrides<Product> 
```
<b>Extends:</b> [DeferSeoProps](./gatsby-plugin-next-seo.deferseoprops.md)<!-- -->, Overrides&lt;Product&gt;

## Properties

|  Property | Type | Description |
|  --- | --- | --- |
|  [aggregateRating](./gatsby-plugin-next-seo.productjsonldprops.aggregaterating.md) | AggregateRating | A nested aggregateRating of the product. |
|  [brand](./gatsby-plugin-next-seo.productjsonldprops.brand.md) | string | The brand of the product. |
|  [description](./gatsby-plugin-next-seo.productjsonldprops.description.md) | string | Product description. |
|  [gtin](./gatsby-plugin-next-seo.productjsonldprops.gtin.md) | string \| string\[\] | A Global Trade Item Number ([GTIN](https://www.gs1.org/standards/id-keys/gtin)<!-- -->). |
|  [gtin12](./gatsby-plugin-next-seo.productjsonldprops.gtin12.md) | string \| string\[\] | The GTIN-12 code of the product, or the product to which the offer refers. |
|  [gtin13](./gatsby-plugin-next-seo.productjsonldprops.gtin13.md) | string \| string\[\] | The GTIN-13 code of the product, or the product to which the offer refers. |
|  [gtin14](./gatsby-plugin-next-seo.productjsonldprops.gtin14.md) | string \| string\[\] | The GTIN-14 code of the product, or the product to which the offer refers. |
|  [gtin8](./gatsby-plugin-next-seo.productjsonldprops.gtin8.md) | string \| string\[\] | The [GTIN-8](http://apps.gs1.org/GDD/glossary/Pages/GTIN-8.aspx) code of the product, or the product to which the offer refers. |
|  [images](./gatsby-plugin-next-seo.productjsonldprops.images.md) | string \| string\[\] | The URL(s) of a product photo. Pictures clearly showing the product (for example, against a white background) are preferred. |
|  [mpn](./gatsby-plugin-next-seo.productjsonldprops.mpn.md) | string \| string\[\] | The Manufacturer Part Number (MPN) of the product, or the product to which the offer refers. |
|  [name](./gatsby-plugin-next-seo.productjsonldprops.name.md) | string | The name of the product. |
|  [offers](./gatsby-plugin-next-seo.productjsonldprops.offers.md) | Offers | An offer to sell the product. Includes a nested Offer or AggregateOffer. |
|  [offersType](./gatsby-plugin-next-seo.productjsonldprops.offerstype.md) | 'Offer' \| 'AggregateOffer' |  |
|  [productName](./gatsby-plugin-next-seo.productjsonldprops.productname.md) | string |  |
|  [reviews](./gatsby-plugin-next-seo.productjsonldprops.reviews.md) | Review\[\] | A nested Review of the product. |
|  [sku](./gatsby-plugin-next-seo.productjsonldprops.sku.md) | string \| string\[\] | The Stock Keeping Unit (SKU), i.e. a merchant-specific identifier for a product or service, or the product to which the offer refers. |

